cmake_minimum_required(VERSION 3.8.0)
project(sqlite3)

add_library(${PROJECT_NAME} STATIC
        shell.c
	sqlite3.c
	sqlite3.h
	sqlite3ext.h
        )

target_include_directories(${PROJECT_NAME} PUBLIC 
	$<BUILD_INTERFACE:${CMAKE_CURRENT_SOURCE_DIR}>
	$<INSTALL_INTERFACE:include>
)

install(TARGETS ${PROJECT_NAME} DESTINATION lib/$<CONFIG> EXPORT targets)
install(EXPORT targets DESTINATION cmake)